git composer构建的时候报 psr-4的错误

问题:Class App\Servitization\UfileSerivitization located in ./app/Servitization/UfileServitization.php does not comply with psr-4 autoloading standard. Skipping.

解决办法:

规范问题,composer.json的autoload里将报错的文件加上

"autoload": {
        "classmap": [
            "database",
            "database/seeds/updateRate.php",
            "app/Servitization/UfileServitization.php",
            "app/Libs/Contract/Fdd/Data/FddContractManageMent.php",
            "vendor/phpoffice/phpexcel/Classes/"
        ],
        "psr-4": {
            "App\\": "app/"
        },
        "files":[
            "app/Helpers/functions.php"
        ]
    },

发表评论

您的电子邮箱地址不会被公开。